import Mock from 'mockjs';

// system customer manage
export const customerListApi = Mock.mock(
  '/api/system/customer/list',
  'post',
  (data) => {
    return {
      // list: [],
      list: [
        {
          id: '1',
          name: '1122',
          type: '333',
          province: '4',
          city: '5',
          area: '6',
          address: '7',
          manager: '8',
          serviceName: '9',
          roles: '10',
          k: 12,
          l: '12',
          m: '13',
        },
      ],
      total: 70,
    };
  }
);
// supplier customer manage
export const supplierListApi = Mock.mock(
  '/api/system/supplier/list',
  'post',
  (data) => {
    return {
      // list: [],
      list: [
        {
          id: '1',
          code: '22',
          name: '33',
          type: '44',
          remark: '55',
          enable: true,
        },
      ],
      total: 70,
    };
  }
);
// device customer manage
export const deviceListApi = Mock.mock(
  '/api/system/device/list',
  'post',
  (data) => {
    return {
      // list: [],
      list: [
        {
          id: '1',
          code: '22',
          serialNo: '33',
          brand: '44',
          buyTime: '55',
          supllier: '66',
          status: '77',
          location: '88',
          scanCount: '99',
        },
      ],
      total: 70,
    };
  }
);
// service-level manage
export const serviceLevelListApi = Mock.mock(
  '/api/system/service-level/list',
  'post',
  (data) => {
    return {
      list: [
        {
          id: '1',
          name: '11',
          businessType: '22',
          roles: [],
          creator: '44',
          createdTime: '',
        },
      ],
      total: 70,
    };
  }
);
// checkin customer manage
export const checkinListApi = Mock.mock(
  '/api/system/checkin/list',
  'post',
  (data) => {
    return {
      list: [
        {
          id: '1',
          unit: '11',
          status: '22',
          name: '33',
          to: [],
          supplier: '44',
          checkinTime: [55],
          checkoutTime: [66],
          auditRoles: [77],
          openFace: false,
          backupCount: 2,
        },
      ],
      total: 70,
    };
  }
);

// log customer manage
export const logListApi = Mock.mock('/api/system/log/list', 'post', (data) => {
  return {
    // list: [],
    list: [
      {
        id: '1',
        a: '1122',
        b: '333',
        c: '4',
      },
      {
        id: '2',
        a: '1122',
        b: '333',
        c: '4',
      },
      {
        id: '3',
        a: '1122',
        b: '333',
        c: '4',
      },
    ],
    total: 70,
  };
});
// notice customer manage
export const noticeListApi = Mock.mock(
  '/api/system/notice/list',
  'post',
  (data) => {
    return {
      // list: [],
      list: [
        {
          id: '1',
          a: '1122',
          b: '333',
          c: '4',
        },
        {
          id: '2',
          a: '1122',
          b: '333',
          c: '4',
        },
        {
          id: '3',
          a: '1122',
          b: '333',
          c: '4',
        },
      ],
      total: 70,
    };
  }
);
